Overview
View commands that you can use with the Solo distribution of istioctl.
The Solo distribution of Istio comes with custom istioctl commands that you can use to validate and troubleshoot service mesh setups. For example, if you set up a multicluster ambient mesh, you can download the Solo distribution of istioctl to use the istioctl multicluster check, expose, and link commands to quickly create multicluster resources and check cluster peering statuses. This distribution also includes all istioctl commands that are packaged by default in the community Istio binary.
To download the Solo distribution of istioctl:
Save the Solo distribution of Istio version.
export ISTIO_VERSION=1.27.4 export ISTIO_IMAGE=${ISTIO_VERSION}-soloSave the repository information for the Solo distribution of Istio image. You must provide a repo key for the minor version of the Solo distribution of Istio that you want to install. This is the 12-character hash at the end of the repo URL
us-docker.pkg.dev/gloo-mesh/istio-<repo-key>, which you can find in the Istio images built by Solo.io support article.# 12-character hash at the end of the repo URL export REPO_KEY=<repo_key> export REPO=us-docker.pkg.dev/gloo-mesh/istio-${REPO_KEY}Get the Solo distribution of Istio binary and install
istioctl. This script automatically detects your OS and architecture, downloads the appropriate Solo distribution of Istio binary, and verifies the installation.bash <(curl -sSfL https://raw.githubusercontent.com/solo-io/gloo-mesh-use-cases/main/gloo-mesh/install-istioctl.sh) export PATH=${HOME}/.istioctl/bin:${PATH}